Advanced I/O object traversal helpers

## Functions

static inline hwloc_obj_t | hwloc_get_non_io_ancestor_obj (hwloc_topology_t topology , hwloc_obj_t ioobj)
static inline hwloc_obj_t | hwloc_get_next_pcidev (hwloc_topology_t topology, hwloc_obj_t prev)
static inline hwloc_obj_t | hwloc_get_pcidev_by_busid (hwloc_topology_t topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)
static inline hwloc_obj_t | hwloc_get_pcidev_by_busidstring (hwloc_topology_t topology, const char *busid)
static inline hwloc_obj_t | hwloc_get_next_osdev (hwloc_topology_t topology, hwloc_obj_t prev)
static inline hwloc_obj_t | hwloc_get_next_bridge (hwloc_topology_t topology, hwloc_obj_t prev)
static inline int | hwloc_bridge_covers_pcibus (hwloc_obj_t bridge, unsigned domain, unsigned bus)
static inline hwloc_obj_t | hwloc_get_hostbridge_by_pcibus (hwloc_topology_t topology, unsigned domain, unsigned bus)

## Function Documentation

static inline int hwloc_bridge_covers_pcibus | ( | hwloc_obj_t | bridge,
|  | unsigned | domain,
|  | unsigned | bus
| ) |  | `[static]`

static inline hwloc_obj_t hwloc_get_hostbridge_by_pcibus | ( | hwloc_topology_t | topology,
|  | unsigned | domain,
|  | unsigned | bus
| ) |  | `[static]`

Find the hostbridge that covers the given PCI bus.

This is useful for finding the locality of a bus because it is the hostbridge parent cpuset.

static inline hwloc_obj_t hwloc_get_next_bridge | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  | `[static]`

Get the next bridge in the system.

Returns:
  the first bridge if `prev` is `NULL`.

static inline hwloc_obj_t hwloc_get_next_osdev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  | `[static]`

Get the next OS device in the system.

Returns:
  the first OS device if `prev` is `NULL`.

static inline hwloc_obj_t hwloc_get_next_pcidev | ( | hwloc_topology_t | topology,
|  | hwloc_obj_t | prev
| ) |  | `[static]`

Get the next PCI device in the system.

Returns:
  the first PCI device if `prev` is `NULL`.

static inline hwloc_obj_t hwloc_get_non_io_ancestor_obj | ( | hwloc_topology_t topology | ,
|  | hwloc_obj_t | ioobj
| ) |  | `[static]`

Get the first non-I/O ancestor object.

Given the I/O object `ioobj`, find the smallest non-I/O ancestor object. This regular object may then be used for binding because its locality is the same as `ioobj`.

static inline hwloc_obj_t hwloc_get_pcidev_by_busid | ( | hwloc_topology_t | topology,
|  | unsigned | domain,
|  | unsigned | bus,
|  | unsigned | dev,
|  | unsigned | func
| ) |  | `[static]`

Find the PCI device object matching the PCI bus id given domain, bus device and function PCI bus id.

static inline hwloc_obj_t hwloc_get_pcidev_by_busidstring | ( | hwloc_topology_t | topology,
|  | const char * | busid
| ) |  | `[static]`

Find the PCI device object matching the PCI bus id given as a string xxxx:yy:zz.t or yy:zz.t.